%YAML 1.1
# ROS buildfarm release-build file
---
abi_incompatibility_assumed: true

build_environment_variables:
  RPM_BUILD_NCPUS: '1'

jenkins_binary_job_priority: 80
jenkins_binary_job_timeout: 120
jenkins_source_job_priority: 70
jenkins_source_job_timeout: 30
notifications:
  maintainers: false
package_blacklist:
- acado_vendor  # Requires unreleased changes
- ament_black  # python3-uvloop and black have no RPM packages for RHEL
- ament_download  # Build failures on RHEL https://github.com/samsung-ros/ament_download/pull/3
- control_box_rst  # coinor-libipopt-dev has no RPM for RHEL 9
- four_wheel_steering_msgs  # Requires unreleased changes
- fuse_constraints  # Requires unreleased changes
- gazebo_dev  # Gazebo has no RPM package
- ifm3d_core  # Build failures on RHEL https://github.com/ros2-gbp/ifm3d-release/issues/1
- ign_ros2_control  # ignition has no RPM packages for RHEL
- ign_rviz_common  # ignition has no RPM packages for RHEL
- kobuki_core  # Build failures on RHEL due to -Werror
- moveit_common  # libogre-dev has no RPM package for RHEL
- moveit_resources_prbt_support  # libogre-dev has no RPM package for RHEL
- mrpt2  # libfyaml has no RPM package for RHEL
- mrt_cmake_modules  # Build failes due to ambiguous Python shebang
- octomap_server  # Build failures on RHEL
- octovis  # Build failures on RHEL
- ompl  # opende has no RPM package for RHEL
- open3d_conversions  # open3d has no RPM package for RHEL
- openni2_camera  # libopenni2-dev does not exist on RHEL
- performance_test  # Missing dependency on git: https://gitlab.com/ApexAI/performance_test/-/merge_requests/371
- proxsuite  # simde and matio have no RPM packages for RHEL 9
- py_trees_js  # python3-pyqt5.qtwebengine has no RPM packages for RHEL 9
- rmf_building_map_tools  # ignition has no RPM packages for RHEL
- rmf_building_sim_common  # ignition has no RPM packages for RHEL
- rmf_demos_assets  # ignition has no RPM packages for RHEL
- rmf_demos_dashboard_resources  # ignition has no RPM packages for RHEL
- rmf_demos_maps  # ignition has no RPM packages for RHEL
- rmf_demos_panel  # ignition has no RPM packages for RHEL
- rmf_demos_tasks  # ignition has no RPM packages for RHEL
- rmf_robot_sim_common  # ignition has no RPM packages for RHEL
- rmf_traffic_editor  # ignition has no RPM packages for RHEL
- rmf_traffic_editor_assets  # ignition has no RPM packages for RHEL
- ros_ign_bridge  # ignition has no RPM packages for RHEL
- ros_ign_gazebo  # ignition has no RPM packages for RHEL
- ros_ign_interfaces  # ignition has no RPM packages for RHEL
- ros_industrial_cmake_boilerplate  # iwyu has no RPM packages for RHEL 9
- ros1_bridge  # ROS Noetic has no RPM packages for RHEL
- rsl  # Requires CMake 3.22
- sdformat_test_files  # sdformat has no RPM packages for RHEL 9
- sdformat_urdf  # sdformat has no RPM packages for RHEL 9
- sol_vendor  # Targets 'HEAD' in vendor package
- tracetools_analysis  # jupyter-notebook has no RPM package for RHEL
- tvm_vendor  # Build failures on AlmaLinux (but not RHEL)
- ur_dashboard_msgs  # Upstream for ur_robot_driver, for which docker.io has no RPM packages for RHEL
- usb_cam  # v4l-utils has no RPM package for RHEL
- vrpn_mocap  # Requires unreleased changes: https://github.com/vrpn/vrpn/pull/278
- warehouse_ros_mongo  # mongodb has no RPM package for RHEL
- webots_ros2  # Not yet generated for RHEL
- webots_ros2_abb  # Not yet generated for RHEL
- webots_ros2_core  # Not yet generated for RHEL
- webots_ros2_demos  # Not yet generated for RHEL
- webots_ros2_epuck  # Not yet generated for RHEL
- webots_ros2_examples  # Not yet generated for RHEL
- webots_ros2_importer  # Not yet generated for RHEL
- webots_ros2_msgs  # Not yet generated for RHEL
- webots_ros2_tiago  # Not yet generated for RHEL
- webots_ros2_turtlebot  # Not yet generated for RHEL
- webots_ros2_tutorials  # Not yet generated for RHEL
- webots_ros2_universal_robot  # Not yet generated for RHEL
- webots_ros2_ur_e_description  # Not yet generated for RHEL
- wiimote  # cwiid has no RPM package for RHEL
- zmqpp_vendor  # Targets 'HEAD' in vendor package
package_dependency_behavior:
  include_test_dependencies: false
  run_package_tests: false
package_ignore_list:
- connext_cmake_module  # No RPM package for Connext
- demo_nodes_cpp_native_gurumdds  # No RPM package for GurumDDS
- gurumdds_cmake_module  # No RPM package for GurumDDS
- rmw_connext_cpp  # No RPM package for Connext
- rmw_connext_dynamic_cpp  # No RPM package for Connext
- rmw_connext_shared_cpp  # No RPM package for Connext
- rmw_connextdds  # No RPM package for Connext
- rmw_connextddsmicro  # No RPM package for Connext
- rmw_connextdds_common  # No RPM package for Connext
- rmw_gurumdds_cpp  # No RPM package for GurumDDS
- rmw_gurumdds_shared_cpp  # No RPM package for GurumDDS
- rmw_gurumdds_static_cpp  # No RPM package for GurumDDS
- rosidl_typesupport_connext_c  # No RPM package for Connext
- rosidl_typesupport_connext_cpp  # No RPM package for Connext
- rosidl_typesupport_gurumdds_c  # No RPM package for GurumDDS
- rosidl_typesupport_gurumdds_cpp  # No RPM package for GurumDDS
- rti_connext_dds_cmake_module  # No RPM package for Connext
sync:
  package_count: 400
  packages: [desktop]
repositories:
  keys:
  - |
    -----BEGIN PGP PUBLIC KEY BLOCK-----
    Version: GnuPG v1

    mQINBFzvJpYBEADY8l1YvO7iYW5gUESyzsTGnMvVUmlV3XarBaJz9bGRmgPXh7jc
    VFrQhE0L/HV7LOfoLI9H2GWYyHBqN5ERBlcA8XxG3ZvX7t9nAZPQT2Xxe3GT3tro
    u5oCR+SyHN9xPnUwDuqUSvJ2eqMYb9B/Hph3OmtjG30jSNq9kOF5bBTk1hOTGPH4
    K/AY0jzT6OpHfXU6ytlFsI47ZKsnTUhipGsKucQ1CXlyirndZ3V3k70YaooZ55rG
    aIoAWlx2H0J7sAHmqS29N9jV9mo135d+d+TdLBXI0PXtiHzE9IPaX+ctdSUrPnp+
    TwR99lxglpIG6hLuvOMAaxiqFBB/Jf3XJ8OBakfS6nHrWH2WqQxRbiITl0irkQoz
    pwNEF2Bv0+Jvs1UFEdVGz5a8xexQHst/RmKrtHLct3iOCvBNqoAQRbvWvBhPjO/p
    V5cYeUljZ5wpHyFkaEViClaVWqa6PIsyLqmyjsruPCWlURLsQoQxABcL8bwxX7UT
    hM6CtH6tGlYZ85RIzRifIm2oudzV5l+8oRgFr9yVcwyOFT6JCioqkwldW52P1pk/
    /SnuexC6LYqqDuHUs5NnokzzpfS6QaWfTY5P5tz4KHJfsjDIktly3mKVfY0fSPVV
    okdGpcUzvz2hq1fqjxB6MlB/1vtk0bImfcsoxBmF7H+4E9ZN1sX/tSb0KQARAQAB
    tCZPcGVuIFJvYm90aWNzIDxpbmZvQG9zcmZvdW5kYXRpb24ub3JnPokCVAQTAQgA
    PgIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgBYhBMHPbjHmut6IaLFytPQu1vur
    F8ZUBQJgsdhRBQkLTMW7AAoJEPQu1vurF8ZUTMwP/3f7EkOPIFjUdRmpNJ2db4iB
    RQu5b2SJRG+KIdbvQBzKUBMV6/RUhEDPjhXZI3zDevzBewvAMKkqs2Q1cWo9WV7Z
    PyTkvSyey/Tjn+PozcdvzkvrEjDMftIk8E1WzLGq7vnPLZ1q/b6Vq4H373Z+EDWa
    DaDwW72CbCBLWAVtqff80CwlI2x8fYHKr3VBUnwcXNHR4+nRABfAWnaU4k+oTshC
    Qucsd8vitNfsSXrKuKyz91IRHRPnJjx8UvGU4tRGfrHkw1505EZvgP02vXeRyWBR
    fKiL1vGy4tCSRDdZO3ms2J2m08VPv65HsHaWYMnO+rNJmMZj9d9JdL/9GRf5F6U0
    quoIFL39BhUEvBynuqlrqistnyOhw8W/IQy/ymNzBMcMz6rcMjMwhkgm/LNXoSD1
    1OrJu4ktQwRhwvGVarnB8ihwjsTxZFylaLmFSfaA+OAlOqCLS1OkIVMzjW+Ul6A6
    qjiCEUOsnlf4CGlhzNMZOx3low6ixzEqKOcfECpeIj80a2fBDmWkcAAjlHu6VBhA
    TUDG9e2xKLzV2Z/DLYsb3+n9QW7KO0yZKfiuUo6AYboAioQKn5jh3iRvjGh2Ujpo
    22G+oae3PcCc7G+z12j6xIY709FQuA49dA2YpzMda0/OX4LP56STEveDRrO+CnV6
    WE+F5FaIKwb72PL4rLi4
    =i0tj
    -----END PGP PUBLIC KEY BLOCK-----
  urls:
  - http://repo.ros2.org/rhel/building/$releasever/$basearch/
target_repository: http://repo.ros2.org/rhel/building
targets:
  rhel:
    '9':
      x86_64:
type: release-build
upload_credential_id: jenkins-agent
upload_credential_id_pulp: pulp_admin
upload_destination_credential_id: pulp_base_url
upload_host: repo.ros2.org
version: 2
